## org.mortbay.http
Class SunJsseListener

    java.lang.Object
      |
      +--org.mortbay.util.ThreadPool
            |
            +--org.mortbay.util.ThreadedServer
                  |
                  +--org.mortbay.http.SocketListener
                        |
                        +--org.mortbay.http.JsseListener
                              |
                              +--org.mortbay.http.SunJsseListener

All Implemented Interfaces:
  HttpListener, LifeCycle, java.io.Serializable

public class SunJsseListener
extends JsseListener

SSL Socket Listener for Sun's JSSE. This specialization of JsseListener is an specific listener using the Sun reference implementation. This is heavily based on the work from Court Demas, which in turn is based on the work from Forge Research.

Version:
  $Id: SunJsseListener.java,v 1.16 2003/05/31 18:26:04 gregwilkins Exp $
Author:
  Greg Wilkins (gregw@mortbay.com), Court Demas (court@kiwiconsulting.com), Forge Research Pty Ltd ACN 003 491 576
See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class org.mortbay.util.ThreadPool
`ThreadPool.PoolThread`

Field Summary

Fields inherited from class org.mortbay.http.JsseListener
`DEFAULT_KEYSTORE, DEFAULT_KEYSTORE_PROVIDER_CLASS, DEFAULT_KEYSTORE_PROVIDER_NAME, DEFAULT_KEYSTORE_TYPE, KEYPASSWORD_PROPERTY, KEYSTORE_PROPERTY, KEYSTORE_PROVIDER_CLASS_PROPERTY, KEYSTORE_PROVIDER_NAME_PROPERTY, KEYSTORE_TYPE_PROPERTY, PASSWORD_PROPERTY`

Fields inherited from class org.mortbay.util.ThreadPool
`__DAEMON, __PRIORITY`

Fields inherited from interface org.mortbay.http.HttpListener
`ATTRIBUTE`

Constructor Summary
`SunJsseListener()` Constructor.
`SunJsseListener(InetAddrPort p_address)` Constructor.

Method Summary
`java.lang.String` `getKeystore()`
`java.lang.String` `getKeystoreProviderClass()`
`java.lang.String` `getKeystoreProviderName()`
`java.lang.String` `getKeystoreType()`
`boolean` `getUseDefaultTrustStore()` Gets the default trust store flag.
`void` `setKeyPassword(java.lang.String password)`
`void` `setKeystore(java.lang.String keystore)`
`void` `setKeystoreProviderClass(java.lang.String classname)`
`void` `setKeystoreProviderName(java.lang.String name)`
`void` `setKeystoreType(java.lang.String keystore_type)`
`void` `setPassword(java.lang.String password)`
`void` `setUseDefaultTrustStore(boolean flag)` Set a flag to determine if the default truststore should be used to initialize the TrustManager.

Methods inherited from class org.mortbay.http.JsseListener
`getNeedClientAuth, getNonPersistentUserAgent, isConfidential, isIntegral, setNeedClientAuth, setNonPersistentUserAgent`

Methods inherited from class org.mortbay.http.SocketListener

`customizeRequest, getBufferReserve, getBufferSize, getConfidentialPort, getConfidentialScheme, getDefaultScheme, getHttpServer, getIdentifyListener, getIntegralPort, getIntegralScheme, getLowResourcePersistTimeMs, handleConnection, isLowOnResources, isOutOfResources, persistConnection, setBufferReserve, setBufferSize, setConfidentialPort, setConfidentialScheme, setDefaultScheme, setHttpServer, setIdentifyListener, setIntegralPort, setIntegralScheme, setLowResourcePersistTimeMs, start, stop`

Methods inherited from class org.mortbay.util.ThreadedServer
`getHost, getInetAddress, getInetAddrPort, getLingerTimeSecs, getMaxReadTimeMs, getPort, getServerSocket, handle, open, setHost, setInetAddress, setInetAddrPort, setLingerTimeSecs, setMaxReadTimeMs, setPort, toString`

Methods inherited from class org.mortbay.util.ThreadPool
`getIdleThreads, getMaxIdleTimeMs, getMaxThreads, getMinThreads, getName, getPoolName, getThreads, getThreadsPriority, isDaemon, isStarted, join, run, setDaemon, setMaxIdleTimeMs, setMaxStopTimeMs, setMaxThreads, setMinThreads, setName, setPoolName, setThreadsPriority, shrink`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.mortbay.http.HttpListener
`getHost, getPort, setHost, setPort`

Methods inherited from interface org.mortbay.util.LifeCycle
`isStarted`

Constructor Detail

### SunJsseListener

    public SunJsseListener()

  Constructor.

### SunJsseListener

    public SunJsseListener(InetAddrPort p_address)

  Constructor.

Parameters:
  `p_address` -

Method Detail

### setKeystore

    public void setKeystore(java.lang.String keystore)

### getKeystore

    public java.lang.String getKeystore()

### setPassword

    public void setPassword(java.lang.String password)

### setKeyPassword

    public void setKeyPassword(java.lang.String password)

### setKeystoreType

    public void setKeystoreType(java.lang.String keystore_type)

### getKeystoreType

    public java.lang.String getKeystoreType()

### setKeystoreProviderName

    public void setKeystoreProviderName(java.lang.String name)

### getKeystoreProviderName

    public java.lang.String getKeystoreProviderName()

### getKeystoreProviderClass

    public java.lang.String getKeystoreProviderClass()

### setKeystoreProviderClass

    public void setKeystoreProviderClass(java.lang.String classname)

### getUseDefaultTrustStore

    public boolean getUseDefaultTrustStore()

  Gets the default trust store flag.

  Returns:
    true if the default truststore will be used to initialize the TrustManager, false otherwise.

### setUseDefaultTrustStore

    public void setUseDefaultTrustStore(boolean flag)

  Set a flag to determine if the default truststore should be used to initialize the TrustManager. The default truststore will typically be the ${JAVA_HOME}/jre/lib/security/cacerts.

  Parameters:
    `flag` - if true, the default truststore will be used. If false, the configured keystore will be used as the truststore.

Copyright © 2000 Mortbay Consulting Pty. Ltd. All Rights Reserved.